// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AISS8AO4/16aiss8ao4_Linux_3.x.x.x_gsc_dn/include/16aiss8ao4_dsl.h $
// $Rev: 54004 $
// $Date: 2023-12-12 08:57:19 -0600 (Tue, 12 Dec 2023) $

// 16AISS8AO4: Document Source Library: header file

#ifndef	__16AISS8AO4_DSL_H__
#define	__16AISS8AO4_DSL_H__

#include <stdlib.h>

#include "16aiss8ao4_api.h"



// prototypes *****************************************************************

int	aiss8ao4_close_dsl	(int fd);
int	aiss8ao4_init_dsl	(void);
int	aiss8ao4_ioctl_dsl	(int fd, int request, void* arg);
int	aiss8ao4_open_dsl	(int device, int share, int* fd);
int	aiss8ao4_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	aiss8ao4_write_dsl	(int fd, const void* src, size_t bytes, size_t* qty);



#endif
