// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AISS8AO4/16aiss8ao4_Linux_3.x.x.x_gsc_dn/utils/util_count.c $
// $Rev: 51760 $
// $Date: 2022-10-12 10:25:01 -0500 (Wed, 12 Oct 2022) $

// 16AISS8AO4: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	aiss8ao4_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely?
*
*		qty		Return the count here.
*
*	Returned:
*
*		> 0		The number of devices found.
*		== 0	No devices were found.
*
******************************************************************************/

int aiss8ao4_count_boards(int verbose, s32* qty)
{
	int	errs;

	errs	= os_count_boards(verbose, qty, aiss8ao4_open, aiss8ao4_read, aiss8ao4_close);
	return(errs);
}



